<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="helma.xsl"?>
<xmlroot xmlns:hop="http://www.helma.org/docs/guide/features/database">
  <hopobject id="2694" name="gsoc-13-adc" prototype="Page" created="1369857835086" lastModified="1395728508050">
  <hop:parent idref="20" prototyperef="Page"/>
    <is_xhtml type="boolean">true</is_xhtml>
    <http_remotehost>127.0.0.1</http_remotehost>
    <pname>IIO, ADC, PMIC, LCD debug/patchwork</pname>
    <registrant>zubair.lutfullah</registrant>
    <http_language>en-gb,en;q=0.5</http_language>
    <uri>gsoc-13-adc</uri>
    <http_browser>Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:21.0) Gecko/20100101 Firefox/21.0</http_browser>
    <time type="date">03.07.2013 11:08:47 CDT</time>
    <updatetime type="date">29.05.2013 15:03:55 CDT</updatetime>
    <hopsession>127.0.0.81.97.204.ac7ndsizrhxj</hopsession>
    <body>&lt;p&gt;This project is part of Google Summer of Code 2013. &lt;/p&gt;
&lt;p&gt;https://github.com/ZubairLK for the repository&lt;/p&gt;</body>
    <pseudoparent idref="20" prototyperef="Page"/>
    <rssfeed></rssfeed>
    <pvcount type="float">2.0</pvcount>
    <homepage>http://beagleboard-gsoc13.blogspot.com/</homepage>
    <render_skin>project</render_skin>
    <edit_skin>edit_project</edit_skin>
    <http_referer>http://beagleboard.org/project/gsoc-13-adc/edit</http_referer>
    <http_host>beagleboard.org</http_host>
    <errmsg></errmsg>
    <shortdesc>The IIO ADC driver for the Beaglebone does not add /sysfs entries and the /dev/iio:deviceX entries are slightly broken. This project will involve patchwork for the ADC drivers. After that, an hwmon driver will be developed for power measurement using the 7th ADC channel connected to the shunt register. Community members report touch screen drivers clashing with the free ADC channels. This will be investigated and fixed. These drivers,fixes and associated test applications will greatly help new comers and userspace application programmers to easily access the ADC on the beaglebone. PWM driver has a hack for adding sysfs entries. 
Clean sysfs support for the PWM driver api will be written if time permits.</shortdesc>
    <user>zubair.lutfullah@gmail.com</user>
  </hopobject>
</xmlroot>
